# CallbackEntry

Base model for hook and filter entries.

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**enabled** | **boolean** |  | [default to undefined]
**weight** | **number** |  | [default to undefined]
**method** | **string** |  | [default to undefined]
**_class** | **string** |  | [default to undefined]
**parameters** | **{ [key: string]: any; }** |  | [optional] [default to undefined]
**parameters_schema** | **{ [key: string]: any; }** |  | [optional] [default to undefined]

## Example

```typescript
import { CallbackEntry } from '@vipr/api';

const instance: CallbackEntry = {
    enabled,
    weight,
    method,
    _class,
    parameters,
    parameters_schema,
};
```

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)
